Skip to main content
DELETE
/
business_metrics
/
{business_metric_token}
Delete business metric
curl --request DELETE \
  --url https://api.vantage.sh/v2/business_metrics/{business_metric_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "bsnss_mtrc_1234",
  "title": "Total Revenue",
  "cost_report_tokens_with_metadata": [
    {
      "cost_report_token": "rprt_1234",
      "unit_scale": "per_hundred",
      "label_filter": [
        ""
      ]
    }
  ],
  "import_type": "datadog_metrics",
  "integration_token": "<string>",
  "created_by_token": "usr_1234"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_metric_token
string
required

Response

BusinessMetric model

token
string
required

The token of the BusinessMetric.

Example:

"bsnss_mtrc_1234"

title
string
required

The title of the BusinessMetric.

Example:

"Total Revenue"

cost_report_tokens_with_metadata
object[]
required

The tokens for any CostReports that use the BusinessMetric, the unit scale, and label filter.

import_type
enum<string> | null
required

The type of import for the BusinessMetric.

Available options:
datadog_metrics,
cloudwatch,
csv
Example:

"datadog_metrics"

integration_token
string | null
required

The Integration token used to import the BusinessMetric.

created_by_token
string | null

The token of the Creator of the BusinessMetric.

Example:

"usr_1234"

cloudwatch_fields
object
datadog_metric_fields
object